import sys
import os
import zipfile
from xml.dom.minidom import parse

if __name__ == "__main__":
    input_path = sys.argv[1]
    output_path = sys.argv[2]
    
    for filename in os.listdir(input_path):
        source_file_path = os.path.join(input_path, filename)
        if source_file_path.endswith('.zip'):
            zip_file = zipfile.ZipFile(source_file_path)
            zip_file.extractall(input_path)
            zip_file.close()
    subcatchment_path = os.path.join(input_path,"Subcatments.shp")
    conduit_path = os.path.join(input_path,"Conduits.shp")
    junction_path = os.path.join(input_path,"Junctions.shp")
    outfall_path = os.path.join(input_path,"Outfalls.shp")
    storageUnit_path = os.path.join(input_path,"StorageUnits.shp")
    raingage_path = os.path.join(input_path,"Raindata.txt")
    parameter_path = os.path.join(input_path,"Parameters.xml")
    inp_path = os.path.join(output_path,"Input.inp")
    tree = parse(parameter_path)
    xdos = tree.documentElement.getElementsByTagName("XDO")
    for xdo in xdos:
        name = xdo.getAttribute("name")
        value = xdo.getAttribute("value")
        if name == "start_date":
            start_date = value
        elif name == "start_time":
            start_time = value
        elif name == "end_date":
            end_date = value
        elif name == "end_time":
            end_time = value
    
    os.system('SDPS.exe '
             + subcatchment_path + ' ' + conduit_path + ' ' + junction_path + ' '
             + outfall_path + ' ' + storageUnit_path + ' ' + raingage_path + ' '
             + start_date + ' ' + start_time + ' ' + end_date + ' ' + end_time + ' '
             + inp_path)